Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1346349 (CVE-2016-7116) - CVE-2016-7116 Qemu: 9p: directory traversal flaw in 9p virtio backend
Summary: CVE-2016-7116 Qemu: 9p: directory traversal flaw in 9p virtio backend
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-7116
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1347350 (view as bug list)
Depends On: 1371399 1371400
Blocks: 1346351
TreeView+ depends on / blocked
 
Reported: 2016-06-14 15:16 UTC by Adam Mariš
Modified: 2021-02-17 03:43 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-27 18:14:34 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-06-14 15:16:02 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9 File System(9pfs) support, is vulnerable to a directory/path traversal issue. It could occur while creating or accessing files on a shared host directory.

A privileged user inside guest could use this flaw to access undue files on the host.

Upstream patches:
-----------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-08/msg03917.html

Reference:
----------
  -> http://wiki.qemu.org/Documentation/9psetup
  -> http://www.openwall.com/lists/oss-security/2016/08/30/3

Comment 1 Adam Mariš 2016-06-14 15:16:22 UTC
Acknowledgments:

Name: Felix Wilhelm (ERNW)

Comment 3 Prasad J Pandit 2016-08-30 06:41:44 UTC
*** Bug 1347350 has been marked as a duplicate of this bug. ***

Comment 4 Prasad J Pandit 2016-08-30 07:12:26 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1371400]

Comment 5 Prasad J Pandit 2016-08-30 07:12:45 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1371399]


Note You need to log in before you can comment on or make changes to this bug.